Subject: Re: [Sigtran] M2PA: Revised section 3

From: "Subhashini" <[email-masked]>
Date: Tue, 11 Mar 2003 16:56:32 -0600

Please ignore point 2 in this mail. It is not possible to get LS PO in this
state.

thanks,
Subhashini ...
----- Original Message -----
From: "Subhashini" <[email-masked]>
To: "Tom George" <[email-masked]>; "SIGTRAN e-mail list"
<[email-masked]>
Sent: Tuesday, March 11, 2003 12:29 PM
Subject: Re: [Sigtran] M2PA: Revised section 3

> The following are my doubts as per the new changes.
>  1. Once the SCTP communication is UP, why to send LS OOS to peer. Peer
can
> get this message only in Out Of Service or in Initial Alignment states,
> since from version 0.6 on wards, SCTP communication is not closed in any
> cases. In Fig 7, the action of LS OOS in these states is missing.
>
> 2. In Fig 7, processing of LS OOS in Initial Alignment is missing.
>
> Please clarify.
>
> thanks,
>
> Subhashini ...
>
>
>
>
>
> ----- Original Message -----
> From: "Tom George" <[email-masked]>
> To: "SIGTRAN e-mail list" <[email-masked]>
> Sent: Friday, March 07, 2003 9:13 PM
> Subject: [Sigtran] M2PA: Revised section 3
>
>
> > 3.  M2PA Link State Control
> >
> > The M2PA link moves from one state to another in response to various
> > events.  The events that may result in a change of state include:
> >
> >    - MTP3 primitive requests
> >
> >    - SCTP notifications
> >
> >    - Receipt of Link Status messages from the peer M2PA
> >
> >    - Expiration of certain timers
> >
> > Figure 7 illustrates state changes together with the causing events.
> > Note that some of the error conditions are not shown in the state
> > diagram.
> >
> > Following is a list of the M2PA Link States and a description of each.
> >
> >    POWER OFF - State of the link during power-up initialization.
> >
> >    OUT OF SERVICE (OOS) - Out of service. Power-up initialization is
> >    complete.
> >
> >    INITIAL ALIGNMENT - Alignment in Progress. M2PA is attempting to
> >    exchange Link Status Alignment messages with its peer.
> >
> >    PROVING - M2PA is sending Link Status Proving messages to its peer.
> >
> >    ALIGNED READY - Proving is complete. M2PA is waiting until peer
> >    completes proving.
> >
> >    IN SERVICE (INS) - In service. Link is ready for traffic.
> >
> >    ALIGNED NOT READY - A local processor outage condition began before
> >    the alignment and proving procedure was completed.
> >
> >    PROCESSOR OUTAGE - A local processor outage condition began while
> >    the link was in service.
> >
> >
> >
> >                     +-----------+
> >                     |   POWER   |
> >                     |    OFF    |
> >                     +-----------+
> >                           |
> >                           | Power On
> >                           |
> >         Flush Buffers     |  +-------------------------+
> >         OR Retrieval      |  |                         |
> >                +-------+  |  |                         |
> >                |       |  V  V                         |
> >                |    +-----------+                      |
> >                +--->|  OUT OF   |                      |
> >   +---------------->|  SERVICE  |<--+                  |
> >   |                 +-----------+   | Link Configured  |
> >   |                       |   |     | (Associate)      |
> >   |                       |   +-----+                  |
> >   |                       |                            |
> >   |                       | MTP3 Start                 |
> >   |                       |                            |
> >   |                       |   +-----+                  |
> >   |                       |   |     | LPO/LPR          |
> >   |                       V   V     |                  |
> >   |                 +-----------+   |                  |
> >   |                 |  INITIAL  |---+                  |
> >   +<----------------| ALIGNMENT |--------------------->+
> >   |      MTP3 Stop  +-----------+     SCTP Comm Error  |
> >   |   OR T2 Expiry        |        OR SCTP Comm Lost   |
> >   |                       |                            |
> >   |                       |                            |
> >   |                       | Receive LS Align           |
> >   |                       | OR Receive LS Proving      |
> >   |                       |                            |
> >   |                       |   +----+                   |
> >   |                       |   |    | LPO/LPR           |
> >   |                       |   |    | OR Receive LS     |
> >   |                       |   |    |    Proving        |
> >   |                       |   |    | OR Receive LS     |
> >   |                       |   |    |    Ready          |
> >   |                       |   |    | OR Receive LS PO  |
> >   |                       |   |    |                   |
> >   |                       V   V    |                   |
> >   |                 +-----------+  |                   |
> >   |                 |  PROVING  |--+                   |
> >   |<----------------|           |--------------------->+
> >   |      MTP3 Stop  +-----------+     SCTP Comm Error  |
> >   |   OR T3 Expiry        |  |     OR SCTP Comm Lost   |
> >   |   OR Receive LS OOS   |  |                         |
> >   |                       |  +-------------------------|--------+
> >   |                       |     T4 Expiry (LPO)        |        |
> >   |                       |     Send LS PO             |        |
> >   |                       |                            |        |
> >   |                       | T4 Expiry                  |        |
> >   |                       | Send LS Ready              |        |
> >   |                       |                            |        |
> >   |                       |                            |        |
> >   |                       V           SCTP Comm Error  |        V
> >   |                 +-----------+  OR SCTP Comm Lost   |  +-----------+
> >   |                 |  ALIGNED  |--------------------->+  |  ALIGNED  |
> >   +<----------------|   READY   |<----------------------->| NOT READY |
> >   |      MTP3 Stop  +-----------+     LPO/LPR             +-----------+
> >   |   OR T1 Expiry        |        OR Receive LS PO/PR       |       |
> >   |   OR Receive LS OOS   |                                  |   T1  |
> >   |   OR Receive LS Align | Receive LS Ready      Receive    | Expiry|
> >   |                       | OR Receive User Data    LS Ready | OR Rcv|
> >   |                       |                                  |    LS |
> >   |                       |                                  |  Align|
> >   |                       |                                  |       |
> >   |                       V                                  V       |
> >   |                 +-----------+                      +-----------+ |
> >   |                 |    IN     |<-------------------->| PROCESSOR | |
> >   |                 |  SERVICE  |     LPO/LPR          |   OUTAGE  | |
> >   |                 +-----------+  OR Receive LS PO/PR +-----------+ |
> >   |                       |                                  |       |
> >   |                       |                                  |       |
> >   |     MTP3 Stop         |                MTP3 Stop         |       |
> >   |  OR Receive LS OOS    |             OR Receive LS OOS    |       |
> >   |  OR SCTP Comm Error   |             OR SCTP Comm Error   |       |
> >   |  OR SCTP Comm Lost    |             OR SCTP Comm Lost    |       |
> >   |  OR T6 Expiry         |             OR M2PA Link Failure |       |
> >   |  OR T7 Expiry         |             OR Receive LS Align  |       |
> >   |  OR M2PA Link Failure |                                  |       |
> >   |  OR Receive LS Align  |                                  |       |
> >   |                       V                                  V       V
> >
> > +<----------------------+<---------------------------------+-------+
> >
> >
> >                 Figure 7. M2PA Link State Transition Diagram
> >
> >
> >
> > Figure 8 illustrates state changes in the M2PA management of the SCTP
> > association together with the causing events.  Note that some of the
> > error conditions are not shown in the state diagram.
> >
> > Following is a list of the M2PA Association States and a description
> > of each.
> >
> > IDLE - State of the association during power-up initialization.
> >
> > ASSOCIATE - M2PA is attempting to establish an SCTP association.
> >
> > ESTABLISHED - SCTP association is established.
> >
> >
> >
> >                       +-----------+
> >                       |   IDLE    |
> >                       +-----------+
> >                             |
> >                             | Associate
> >                             | (Issue SCTP associate)
> >                             |
> >                             |   +----------------------+
> >                             |   |         (Issue SCTP  |
> >                             V   V          associate)  |
> >                       +-----------+                    |
> >                       | ASSOCIATE |------------------->+
> >                       +-----------+    SCTP Comm Error |
> >                             |                          |
> >                             |                          |
> >                             | SCTP Comm Up             |
> >                             |                          |
> >                             V                          |
> >                       +-------------+                  |
> >                       | ESTABLISHED |----------------->+
> >                       +-------------+   SCTP Comm Error
> >                                      OR SCTP Comm Lost
> >
> >
> >                 Figure 8. M2PA Association State Transition Diagram
> >
> >
> >
> > --
> > * Tom George       PB7-24001 (near B-21)      [email-masked]  *
> > * 972-519-3168   Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
> > * Alcatel;  3400 West Plano Pkwy,  MS PB7-SWPRO;  Plano, Texas 75075  *
> > * I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
> > * to advertise or represent its position,  operations, or activities. *
> > _______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/sigtran
> >
>

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: [email-masked]
Date: Thu, 13 Mar 2003 07:29:34 -0500

Hello Andrew,

>The state transition from Processor Outage to In Service seems overly
>simplistic; we need to have cleared both local and remote processor
>outage. Would it be better to refer to the processor outage section?

The state diagram is a summary. Even if the full SDL is provided,
one must seek out text to provide more detail.

>Is the state diagram you provided is based on your proposed text changes
>in "(M2PA) Another change to the state machine diagram..." from Feb 27,
>2003?

Yes, and the other related threads, as well.

Regards,

Jeff

                      Andrew Booth                                                                                                
                      <[email-masked]>          To:      [email-masked]                                                 
                                               cc:      Tom George <[email-masked]>, SIGTRAN e-mail list                  
                      03/12/03 12:52           <[email-masked]>                                                                 
                      PM                       Subject: Re: [Sigtran] M2PA: Revised section 3                                     

Hi Jeff,

The state transition from Processor Outage to In Service seems overly
simplistic; we need to have cleared both local and remote processor
outage. Would it be better to refer to the processor outage section?

Is the state diagram you provided is based on your proposed text changes
in "(M2PA) Another change to the state machine diagram..." from Feb 27,
2003?

Andrew

[email-masked] wrote:

>Hello Tom,
>
>Here's the summary of the defects of the new version
>of M2PA figure 7:
>
>1  Missing arrow from ALIGNED_READY to PROCESSOR_OUTAGE for
>   received LSPO.
>2  Arrow from ALIGNED_READY to ALIGNED_NOT_READY is incorrectly
>   labelled with 'Receive LSPO/PR'.
>3  Missing arrow from ALIGNED_NOT_READY to OOS for MTP3 Stop,
>   SCTP Comm Error, SCTP Comm Lost, and Receive LS OOS events.
>4  Missing arrow from ALIGNED_READY for received LSPx.
>5  Missing arrow from PROVING to ALIGNED (or INITIAL_ALIGNMENT
>   as per the figure) for received LSA.
>6  Missing label for Receive LS OOS during NOT_ALIGNED
>   (or INITIAL_ALIGNMENT, as per the figure)
>7  Missing arrow for 'Receive LSA' during ALIGNED (or
>   INITIAL_ALIGNMENT as per the figure).
>8  Arrow from PROCESSOR_OUTAGE to IN_SERVICE is incorrectly
>   labelled. Receipt of LPR or LSPOE during PROCESSOR_OUTAGE
>   does not cause a transition to IN_SERVICE, but rather
>   MTP3 Flush or MTP3 Continue event does.
>9  Arrow from ALIGNED_NOT_READY to PROCESSOR_OUTAGE is missing
>   the 'receive User Data' event.
>10 Inconsistency: Why list 'Send LS PO' and 'Send LS Ready' for
>   transition from ALIGNED_READY when no other 'Send' events
>   are listed in the figure?
>11 'Flush Buffers' and 'Retrieval' event labels on the
>   OUT_OF_SERVICE state are not consistent with the other
>   MTP3 primitives, e.g. 'MTP3 Stop'.
>
>For more information, please refer to my previous comments
>on the list. Below is my proposed figure that corrects the
>defects. I think clarity can be improved if the INITIAL_ALIGNMENT
>state is divided into NOT_ALIGNED and ALIGNED states.
>
>Regards,
>
>Jeff
>
>=========================================================================
>                   +-----------+
>                   |   POWER   |
>                   |    OFF    |
>                   +-----------+
>                         |
>                         | Power On
>                         |
>          MTP3 Flush     |  +-----------------------------------------+
>       OR MTP3 Retrieval |  |                                         |
>              +-------+  |  |                                         |
>              |       |  V  V                                         |
>              |    +-----------+                                      |
>              +--->|  OUT OF   |                                      |
>  +--------------->|  SERVICE  |<--+                                  |
>  |     Receive LS OOS   |                                            |
>  |           +-------+  | MTP3 Start                                 |
>  |           |       |  V                                            |
>  |           |    +-----------+                                      |
>  |           +--->|    NOT    |                                      |
>  +<---------------|  ALIGNED  |------------------------------------->+
>  |                      | OR Receive LS Prov Norm                    |
>  |     Receive LS Align | OR Receive LS Prov Emer                    |
>  |           +-------+  |                                            |
>  |           |       |  V                                            |
>  |           |    +-----------+                                      |
>  |           +--->|  ALIGNED  |                                      |
>  +<---------------|           |------------------------------------->+
>  |  OR T3 Expiry      ^    |     OR SCTP Comm Lost                   |
>  |                    |    |    Receive LS Prov Norm                 |
>  |   Receive LS Align |    | OR Receive LS Prov Emer                 |
>  |                    |    |                                         |
>  |                    |    |                                         |
>  |      Rcv LS Prov X |    |                                         |
>  |   OR Rcv LS Ready  |    |                                         |
>  |   OR Rcv LS PO     |    |                                         |
>  |           +------+ |    |                                         |
>  |           |      | |    V                                         |
>  |           |    +-----------+                                      |
>  |           +--->|  PROVING  |------------------------------------->+
>  |<---------------|           |-----+           SCTP Comm Error      |
>  |     MTP3 Stop  +-----------+     |          OR SCTP Comm Lost     |
>  |                      |           | T4 Expiry                      |
>  |                      |           | (LPO)                          |
>  |            T4 Expiry |           |                                |
>  |             (No LPO) |           |                       +------->+
>  |                      |           |   MTP3 Stop           |        |
>  |                      |           |   OR Receive LS OOS   |        |
>  |                      |           |   OR SCTP Comm Error  |        |
>  |                      |           |   OR SCTP Comm Lost   |        |
>  |       Rcv LS Prov X  |           |   OR T1 Expiry        |        |
>  |           +-------+  |           |   OR Receive LS Align |        |
>  |           |       |  V           |                       |        |
>  |           |    +-----------+ LPO V             +-----------+      |
>  |           +--->|  ALIGNED  |-----+------------>|  ALIGNED  |      |
>  +<---------------|   READY   |<------------------| NOT READY |      |
>  |     MTP3 Stop  +-----------+       LPR         +-----------+      |
>  |  OR T1 Expiry        |   |                        | Rcv LS Ready  |
>  |  OR Receive LS OOS   |   |                        | OR Rcv Data   |
>  |  OR Receive LS Align |   | Receive LS PO          | OR Rcv LS PO  |
>  |  OR SCTP Comm Error  |   +----------------------->+               |
>  |  OR SCTP Comm Lost   |                            |               |
>  |                      |                            |               |
>  |                      |    Receive LS Ready        |               |
>  |                      | OR Receive User Data       |               |
>  |                      V                            V               |
>  |                +-----------+ LPO or Rcv LS PO  +-----------+      |
>  |                |    IN     |------------------>| PROCESSOR |      |
>  +<---------------|  SERVICE  |<------------------|  OUTAGE   |      |
>                   +-----------+    MTP3 Flush     +-----------+      |
>       MTP3 Stop                 OR MTP3 Continue            |        |
>    OR Receive LS OOS                                        |        |
>    OR SCTP Comm Error                     MTP3 Stop         |        |
>    OR SCTP Comm Lost                   OR Receive LS OOS    |        |
>    OR T6 Expiry                        OR SCTP Comm Error   |        |
>    OR T7 Expiry                        OR SCTP Comm Lost    |        |
>    OR M2PA Link Failure                OR M2PA Link Failure |        |
>    OR Receive LS Align                 OR Receive LS Align  +------->+
>
>
>

--
Andrew Booth, Software Developer
Signaling Systems Group, Performance Technologies
613-237-4344

Visit www.pt.com/mailing.html to subscribe to our Packets & Signals
eLetter.

---

From: [email-masked]
Date: Thu, 13 Mar 2003 07:33:06 -0500

Hello Andrew,

I have had many issues with the state diagram. The diagram I propose
addresses issues that have been brought up in the thread you mention,
as well as others. Please check the list archives for background.

Regards,

Jeff

                      Andrew Booth                                                                                                
                      <[email-masked]>          To:      Andrew Booth <[email-masked]>                                              
                      Sent by:                 cc:      [email-masked], SIGTRAN e-mail list <[email-masked]>         
                      sigtran-admin@ie         Subject: Re: [Sigtran] M2PA: Revised section 3                                     
                      tf.org                                                                                                      

                      03/12/03 01:11                                                                                              
                      PM                                                                                                          

Hi Jeff,

Sorry, I used the wrong reference. Is the state diagram you proposed
based on your proposed text changes in "Re: AW: [Sigtran] M2PA draft 07
comments: LPO" from Feb 19, 2003?

Andrew

Andrew Booth wrote:

> Is the state diagram you provided is based on your proposed text
> changes in "(M2PA) Another change to the state machine diagram..."
> from Feb 27, 2003?
>
> Andrew
>